2022-10-02 05:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003017ManiacMansion[All Projects] Generalpublic2014-05-25 22:03
Reporterretrogamer 
Assigned ToJOTDProject InfoManiac Mansion (Lucasfilm Games)
http://www.whdload.de/games/ManiacMansion.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003017: Is it possible to make the game 68000 compitable and make 68000
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2000

Is it possible to make the game 68000 compitable and make 68000 quitkeysupport?
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetOCS
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad17.2
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0003989

JOTD (developer)

Hi,

Game used long reads to possibly odd addresses. I have fixed it.
Quit key should work too just by reassembling with new kickemu

can you tell me if it works for you (and if protection is still cracked) ?

would save time for me, else I'll have to setup a 68000 config and test the game fully.

regards
+Notes

-Issue History
Date Modified Username Field Change
2014-05-16 21:48 administrator New Issue
2014-05-16 21:48 administrator Status new => assigned
2014-05-16 21:48 administrator Assigned To => JOTD
2014-05-18 22:32 JOTD File Added: ManiacMansion.slave
2014-05-18 22:33 JOTD Note Added: 0003989
2014-05-18 22:33 JOTD Status assigned => confirmed
2014-05-25 22:03 JOTD Status confirmed => closed
2014-05-25 22:03 JOTD Resolution open => fixed
+Issue History